SeExpr

Public Member Functions | Private Slots | Private Attributes | List of all members
CCurveControl Class Reference

Control for editing a color ramp curve. More...

`#include <ExprControl.h>`

Inheritance diagram for CCurveControl:

## Public Member Functions
| CCurveControl (int id, ColorCurveEditable *stringEditable)
QColor | getColor ()
| Interface for getting the color (used for linked color picking) More...
void | setColor (QColor color)
| Interface for setting the color (used for linked color picking) More...
Public Member Functions inherited from ExprControl
| ExprControl (int id, Editable *editable, bool showColorLink)
virtual | ~ExprControl ()
void | linkDisconnect (int newId)

## Private Slots
void | curveChanged ()

## Private Attributes
ColorCurveEditable * | _curveEditable
| color curve model More...
ExprColorCurve * | _curve
| color curve widget More...

## Additional Inherited Members
Public Slots inherited from ExprControl
void | linkStateChange (int state)
Signals inherited from ExprControl
void | controlChanged (int id)
void | linkColorEdited (int id, QColor color)
void | linkColorLink (int id)
Protected Attributes inherited from ExprControl
int | _id
bool | _updating
QHBoxLayout * | hbox
QCheckBox * | _colorLinkCB
QLabel * | _label
Editable * | _editable

## Detailed Description

Control for editing a color ramp curve.

Definition at line 264 of file ExprControl.h.

## Constructor & Destructor Documentation

## ◆ CCurveControl()

CCurveControl::CCurveControl | ( | int | id,
|  | ColorCurveEditable * | stringEditable
| ) |  |

Definition at line 449 of file ExprControl.cpp.

References _curve, _curveEditable, SeExpr2::Curve< T >::CV::_interp, SeExpr2::Curve< T >::CV::_pos, ExprColorCurve::_scene, SeExpr2::Curve< T >::CV::_val, ExprColorCurve::addPoint(), curveChanged(), GenericCurveEditable< TVAL >::cvs, and ExprControl::hbox.

## Member Function Documentation

## ◆ curveChanged

void CCurveControl::curveChanged | ( |  | ) |
| private slot

Definition at line 464 of file ExprControl.cpp.

References _curve, _curveEditable, CCurveScene::_cvs, ExprControl::_id, ExprColorCurve::_scene, ExprControl::controlChanged(), and GenericCurveEditable< TVAL >::cvs.

Referenced by CCurveControl().

## ◆ getColor()

QColor CCurveControl::getColor | ( |  | ) |
| virtual

Interface for getting the color (used for linked color picking)

Reimplemented from ExprControl.

Definition at line 471 of file ExprControl.cpp.

References _curve, and ExprColorCurve::getSwatchColor().

## ◆ setColor()

void CCurveControl::setColor | ( | QColor | color | ) |
| virtual

Interface for setting the color (used for linked color picking)

Reimplemented from ExprControl.

Definition at line 473 of file ExprControl.cpp.

References _curve, and ExprColorCurve::setSwatchColor().

## Member Data Documentation

## ◆ _curve

ExprColorCurve* CCurveControl::_curve
| private

color curve widget

Definition at line 270 of file ExprControl.h.

Referenced by CCurveControl(), curveChanged(), getColor(), and setColor().

## ◆ _curveEditable

ColorCurveEditable* CCurveControl::_curveEditable
| private

color curve model

Definition at line 268 of file ExprControl.h.

Referenced by CCurveControl(), and curveChanged().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.cpp